openSUSE Security Update : mailx (openSUSE-SU-2014:1713-1)

High Nessus Plugin ID 80274


The remote openSUSE host is missing a security update.


This mailx update fixes the following security issue :

bsc#909208: shell command injection via crafted email addresses (CVE-2004-2771, CVE-2014-7844)


Update the affected mailx packages.

See Also

Plugin Details

Severity: High

ID: 80274

File Name: openSUSE-2014-812.nasl

Version: $Revision: 1.2 $

Type: local

Agent: unix

Published: 2014/12/29

Modified: 2014/12/30

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:mailx, p-cpe:/a:novell:opensuse:mailx-debuginfo, p-cpe:/a:novell:opensuse:mailx-debugsource, cpe:/o:novell:opensuse:12.3, cpe:/o:novell:opensuse:13.1, cpe:/o:novell:opensuse:13.2

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2014/12/17

Reference Information

CVE: CVE-2004-2771, CVE-2014-7844